/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents an query element of the ejb-jar.xml deployment descriptor for the
 * 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.3.2.3 $</tt>
 */
public class Query
{

   private String ejbQl;

   private QueryMethod queryMethod;

   public String getEjbQl()
   {
      return ejbQl;
   }

   public void setEjbQl(String ejbQl)
   {
      this.ejbQl = ejbQl;
   }

   public QueryMethod getQueryMethod()
   {
      return queryMethod;
   }

   public void setQueryMethod(QueryMethod queryMethod)
   {
      this.queryMethod = queryMethod;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("ejbQl=").append(ejbQl);
      sb.append("]");
      return sb.toString();
   }
}
